{
  edition = 201909;

  description = "Genode package overlay";

  inputs = {
    nixpkgs = {
      uri = "git+https://gitea.c3d2.de/ehmry/nixpkgs.git?ref=genodeFlake";
      flake = false;
    };

    dhall-haskell = { uri = "git+https://git.sr.ht/~ehmry/dhall-haskell?ref=flake"; };

  };

  outputs = { self, nixpkgs, dhall-haskell }:
    let fullPkgs = import ./packages.nix { inherit nixpkgs; };
    in {

      packages = with fullPkgs; {
        inherit stdenv nova genode-os genode-base genode-base-nova
          genode-base-linux solo5;
      };

      defaultPackage = self.packages.solo5;

      hydraJobs = {
        build.x86_64 = {
          inherit (self.packages)
            nova stdenv solo5 genode-base-linux genode-base-nova genode-os;
        };
        tests = import ./tests {
          inherit nixpkgs dhall-haskell;
          genodepkgs = fullPkgs;
        };
      };

      checks = self.hydraJobs.tests.x86_64.nova.solo5;
    };
}
